/*
 * ZeroVectorException.hpp
 *
 *  Created on: Apr 30, 2010
 *      Author: crueger
 */

#ifndef ZEROVECTOREXCEPTION_HPP_
#define ZEROVECTOREXCEPTION_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Exceptions/MathException.hpp"

class ZeroVectorException : public MathException
{
public:
  ZeroVectorException(std::string file, int line);
  virtual ~ZeroVectorException() throw();

  virtual const char* what() const throw();
};

#endif /* ZEROVECTOREXCEPTION_HPP_ */
